ubuntuusers.de

Titel:
kernel löschen
Autor:
era5erhead
Datum:
4. März 2018 15:17
Aktionen:
Code:
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
ted@ted-ThinkPad-E520:~$ uname -a
Linux ted-ThinkPad-E520 4.13.0-26-generic #29~16.04.2-Ubuntu SMP Tue Jan 9 22:00:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
ted@ted-ThinkPad-E520:~$ dpkg -l 'linux-[ihs]*' | sed '/^ii/!d;/'"$(uname -r | sed "s/\([-0-9]*\)-\([^0-9]\+\)/\1/")"'/d;s/^[^ ]* [^ ]* \([^ ]*\).*/\1/;/[0-9]/!d' | tee zu_entfernende_Kernel 
linux-headers-4.10.0-28
linux-headers-4.10.0-28-generic
linux-headers-4.10.0-33
linux-headers-4.10.0-33-generic
linux-headers-4.10.0-35
linux-headers-4.10.0-35-generic
linux-headers-4.10.0-37
linux-headers-4.10.0-37-generic
linux-headers-4.10.0-38
linux-headers-4.10.0-38-generic
linux-headers-4.10.0-40
linux-headers-4.10.0-40-generic
linux-headers-4.10.0-42
linux-headers-4.10.0-42-generic
linux-headers-4.13.0-31
linux-headers-4.13.0-31-generic
linux-image-4.10.0-28-generic
linux-image-4.10.0-33-generic
linux-image-4.10.0-35-generic
linux-image-4.10.0-37-generic
linux-image-4.10.0-38-generic
linux-image-4.10.0-40-generic
linux-image-4.10.0-42-generic
linux-image-extra-4.10.0-28-generic
linux-image-extra-4.10.0-33-generic
linux-image-extra-4.10.0-35-generic
linux-image-extra-4.10.0-37-generic
linux-image-extra-4.10.0-38-generic
linux-image-extra-4.10.0-40-generic
linux-image-extra-4.10.0-42-generic
ted@ted-ThinkPad-E520:~$ cat zu_entfernende_Kernel | xargs sudo apt-get -y purge
[sudo] Passwort für ted: 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Probieren Sie »apt-get -f install«, um dies zu korrigieren:
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 linux-image-extra-4.13.0-32-generic : Hängt ab von: linux-image-4.13.0-32-generic soll aber nicht installiert werden
 linux-image-extra-4.13.0-36-generic : Hängt ab von: linux-image-4.13.0-36-generic soll aber nicht installiert werden
 linux-image-generic-hwe-16.04 : Hängt ab von: linux-image-4.13.0-36-generic soll aber nicht installiert werden
E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt-get -f install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).